slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetFromOptions

Sets NEP options from the options database. This routine must be called before NEPSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetFromOptions(NEP nep)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context

### Notes

To see all options, run your program with the -help option.

### See Also

NEPSetOptionsPrefix()

### Level

beginner

### Location

src/nep/interface/nepopts.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages